Commit 1bd6b7e3 authored by Albert  Babí Oller's avatar Albert Babí Oller Committed by Albert Babí Oller

misc: check system's qmake version

Change-Id: Icf38cabf03709802dea4e13369b70f7d584f65f8
parent d18e01b3
......@@ -142,8 +142,20 @@ if [ "${client}" = "client-qt" ]; then
if ! command -v qmake &> /dev/null; then
eval ${qt5path}/bin/qmake PREFIX="${INSTALL}/${client}" ..
else
qmake -qt=${qt5ver} PREFIX="${INSTALL}/${client}" ..
fi
# Extract installed Qt version and compare with minimum required
sys_qt5ver=$(qmake -v)
sys_qt5ver=${sys_qt5ver#*Qt version}
sys_qt5ver=${sys_qt5ver%\ in\ *}
installed_qt5ver=$(echo $sys_qt5ver| cut -d'.' -f 2)
required_qt5ver=$(echo $qt5ver| cut -d'.' -f 2)
if [[ $installed_qt5ver -ge $required_qt5ver ]] ; then
qmake PREFIX="${INSTALL}/${client}" ..
else
eval ${qt5path}/bin/qmake PREFIX="${INSTALL}/${client}" ..
fi
fi
else
if [ "${global}" = "true" ]; then
if [ "${prefix+set}" ]; then
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment